Bug 598277 - [Indic] Rendering broken on 'Benchmark' Window
[Indic] Rendering broken on 'Benchmark' Window
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility (Show other bugs)
22
All Linux
low Severity medium
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 21:00 EDT by A S Alam
Modified: 2015-06-10 15:15 EDT (History)
4 users (show)

See Also:
Fixed In Version: gnome-disk-utility-3.16.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-10 15:15:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rendering Problem on Benchmark window (37.71 KB, image/png)
2010-05-31 21:00 EDT, A S Alam
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 656864 None None None Never

  None (edit)
Description A S Alam 2010-05-31 21:00:17 EDT
Created attachment 418426 [details]
Rendering Problem on Benchmark window

Description of problem:
While using application in Punjabi (pa_IN), I found some square box, which is
most probably i18n issue (translation is ok as render ok other places in
application). Bug seems similar to 

Version-Release number of selected component (if applicable):
gnome-disk-utility-2.30.1-1.fc13.x86_64

How reproducible:
100%

Steps to Reproduce:
1. run application in Indic locale (pa_IN/hi_IN)
2. select disk and click on Benchmark
3.
  
Actual results:
Rendering Broken on both side of graph (check screenshot for detail)

Expected results:
should work as in english locale

Additional info:
same as Bug #560336
Comment 1 Akira TAGOH 2011-05-24 08:52:09 EDT
Does this issue still persist in f15? and then can you file a bug upstream too?
Comment 2 A S Alam 2011-05-25 00:09:47 EDT
it is still broken in Fedora 15 with following package:
gnome-disk-utility-3.0.0-2
Comment 3 A S Alam 2011-05-25 00:10:38 EDT
Moving this bug to current release, and file upstream bug later
Comment 4 A S Alam 2011-08-19 02:29:21 EDT
Reported upstream with test result from Fedora 16:
gnome-disk-utility-3.0.2-3.fc16.x86_64
Comment 5 Fedora End Of Life 2013-01-16 16:59:11 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Akira TAGOH 2013-01-30 22:12:59 EST
This issue is still presen on even f18.

FWIW this isn't a translation issue but renderer and fonts. I suppose the application uses Lohit for rendering but it appears because Lohit doesn't have ASCII characters. it could be fixed in either way but dunno which way is the right to go.
Comment 7 Fedora Admin XMLRPC Client 2013-02-04 08:22:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-16 11:49:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-12-21 03:25:53 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Jens Petersen 2014-01-15 02:08:45 EST
Still happens for f20.

Please file a new upstream bug since the original report for older version
was closed upstream.
Comment 12 Fedora Admin XMLRPC Client 2014-02-17 10:36:25 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2014-07-01 08:17:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2015-05-29 04:37:15 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Akira TAGOH 2015-06-01 21:52:35 EDT
This issue still persists on even f22. confirmed with pa_IN locale.
Comment 16 Fedora Update System 2015-06-03 06:10:03 EDT
gnome-disk-utility-3.16.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gnome-disk-utility-3.16.2-2.fc22
Comment 17 Fedora Update System 2015-06-05 19:45:59 EDT
Package gnome-disk-utility-3.16.2-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-disk-utility-3.16.2-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9457/gnome-disk-utility-3.16.2-2.fc22
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2015-06-10 15:15:22 EDT
gnome-disk-utility-3.16.2-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.